package cn.sagacloud.android.cadengine

import android.graphics.Color

/**
 * 颜色类
 *
 * @author  庞利祥(sybotan@126.com)
 */
class Opt {
    companion object {
        /** 墙颜色 */
        val wallColor = Color.rgb(0x55, 0x55, 0x55)
        /** 柱子颜色 */
        val columnColor = Color.rgb(0x5b, 0x5b, 0x5b)
        /** 虚拟墙颜色 */
        val virtualWallColor = Color.rgb(0xff,0x00,0xff)
        /** 默认空间颜色 */
        val spaceColor = Color.rgb(0xf1, 0xf3, 0xf7)
        /** 空间-梯颜色 */
        val ladderSpaceColor = Color.rgb(225, 242, 255)
        /** 空间-井颜色 */
        val wellSpaceColor = Color.rgb(238, 246, 198)
        /** 空间-机房颜色 */
        val engineRoomSpaceColor = Color.rgb(254, 233, 210)
        /** 被选中的空间颜色 */
        val spaceChoseColor = Color.rgb(0xe6, 0xfa, 0xff)
        /** 门颜色 */
        val doorColor = Color.rgb(0xcc, 0xcc, 0xcc)
        /** 窗户颜色 */
        val windowColor = Color.rgb(0xba, 0xe0, 0xfd)
        /** 文字颜色 */
        val textColor = Color.rgb(0x44, 0x71, 0xa3)

        /** 可调节空间颜色 */
        val tunableSpaceColor = Color.parseColor("#4d7E96FF")
    }
} // Class Opt